<?php
require_once(dirname(dirname(dirname(__FILE__))).'/config.php');
require('dompdf/vendor/autoload.php'); 
use Dompdf\Dompdf;
require_login();
$context = context_system::instance();
$PAGE->set_context($context);
$PAGE->set_url('/local/clinical/index.php');
$PAGE->set_heading('Certificates');
$PAGE->set_pagelayout('standard');
$PAGE->set_title(get_string('pluginname', 'local_certificates'));
$student_id = optional_param('student_id', 0, PARAM_INT);
if(is_siteadmin()) 
{
	if($student_id != 0 )
	{	
		$q = "SELECT firstname,lastname FROM mdl_user WHERE id=".$student_id;
		$user_inf = $DB->get_record_sql($q);
		if(!empty($user_inf))
		{
			$student_name = $user_inf->firstname.' '.$user_inf->lastname;
			$hours = optional_param('tot_hours', '0', PARAM_RAW);
			$title = optional_param('cert_title', '0', PARAM_RAW);
			$g_date = optional_param('g_date', '0', PARAM_RAW);
			$final_d_format = date('d F, Y',strtotime($g_date));

			$target_dir = "signs/";
			$uploadOk = 1;
			$target_file = $target_dir . basename($_FILES["leftsign"]["name"]);
			$imageFileType = strtolower(pathinfo($target_file,PATHINFO_EXTENSION));
			$lsignfname = 'l_sign.'.$imageFileType;
			$target_file = $target_dir . $lsignfname;
			

			$check = getimagesize($_FILES["leftsign"]["tmp_name"]);
		    if($check !== false) {
		        $uploadOk = 1;
		    } else {
		        $uploadOk = 0;
		    }

		    if ($_FILES["leftsign"]["size"] > 500000) {
			    $uploadOk = 0;
			}

			if ($uploadOk == 0) {
			   $lsignfname = '';
			} 
			else 
			{
			    if (!move_uploaded_file($_FILES["leftsign"]["tmp_name"], $target_file)) {
			        $lsignfname = '';
			    }
			}

			$uploadOk = 1;
			$target_file = $target_dir . basename($_FILES["rightsign"]["name"]);
			$imageFileType = strtolower(pathinfo($target_file,PATHINFO_EXTENSION));
			$rsignfname = 'r_sign.'.$imageFileType;
			$target_file = $target_dir . $rsignfname;
			

			$check = getimagesize($_FILES["rightsign"]["tmp_name"]);
		    if($check !== false) {
		        $uploadOk = 1;
		    } else {
		        $uploadOk = 0;
		    }

		    if ($_FILES["rightsign"]["size"] > 500000) {
			    $uploadOk = 0;
			}

			if ($uploadOk == 0) {
			   $rsignfname = '';
			} 
			else 
			{
			    if (!move_uploaded_file($_FILES["rightsign"]["tmp_name"], $target_file)) {
			        $rsignfname = '';
			    }
			}

			if($lsignfname != '' && $rsignfname != '')
			{
				$cert_html = '<div style="width:100%;padding:10px;text-align:center;margin:0px auto;position:relative;font-family:times;"> <span style="font-size:50px; font-weight:bold">Houston International College</span> <br/><br/> <span style="font-size:25px"><i>Cardiotech Ultrasound School</i></span> <br/><br/> <span style="font-size:22px; font-weight:bold;"><i>'.$student_name.'</i></span><br/><br/> <span style="font-size:18px"><i>Having completed The Necessary Courses Of Study</i></span> <br/><br/> <span style="font-size:18px; font-style:italic;">And</span> <br/><br/> <span style="font-size:20px"><i>Having Fulfilled '.$hours.' Semester Credit Hours</i></b></span> <br/><br/> <span style="font-size:20px"><i>Is Hereby Declared An</i></b></span> <br/><br/> <span style="font-size:22px; font-weight:bold; text-transform:uppercase;"><i>'.$title.'</i></span> <br/><br/> <span style="font-size:18px"><i>By the Board of Directors Of the School<br/>On Recommendation Of The Faculty<br/>And is Awarded This</i></span> <br/><br/> <span style="font-size:24px; font-weight:bold;"><i>CERTIFICATE OF COMPLETION</i></span><br/><span style="float: right;margin-right: 70px;"><i>Graduated</i></span><br/> <span style="font-size:14px"><i>on this the <span>'.$final_d_format.'</span></i></span><br/><br/> <div style="width:288px; float:left; padding:0 20px"><br><br><span style="border:0px;border-bottom: 1px solid #ccc; display: block; color:#000;"><img src="signs/'.$lsignfname.'" style="width: 150px;height:45px;margin-bottom: 15px;"></span> </div> <div style="width:288px; float:right; padding:0 20px"><br><br><span style="border:0px;border-bottom: 1px solid #ccc; display: block; color:#000;"><img src="signs/'.$rsignfname.'" style="width: 150px;height:45px;margin-bottom: 15px;"></span> </div> <img src="cardio-logo.png" style="position: absolute;top: 17%;left: 32.5%;width: 370px;opacity: 0.05;"></div>';
			}
			else
			{
				$cert_html = '<div style="width:100%;padding:10px;text-align:center;margin:0px auto;position:relative;font-family:times;"> <span style="font-size:50px; font-weight:bold">Houston International College</span> <br/><br/> <span style="font-size:25px"><i>Cardiotech Ultrasound School</i></span> <br/><br/> <span style="font-size:22px; font-weight:bold;"><i>'.$student_name.'</i></span><br/><br/> <span style="font-size:18px"><i>Having completed The Necessary Courses Of Study</i></span> <br/><br/> <span style="font-size:18px; font-style:italic;">And</span> <br/><br/> <span style="font-size:20px"><i>Having Fulfilled '.$hours.' Semester Credit Hours</i></b></span> <br/><br/> <span style="font-size:20px"><i>Is Hereby Declared An</i></b></span> <br/><br/> <span style="font-size:22px; font-weight:bold; text-transform:uppercase;"><i>'.$title.'</i></span> <br/><br/> <span style="font-size:18px"><i>By the Board of Directors Of the School<br/>On Recommendation Of The Faculty<br/>And is Awarded This</i></span> <br/><br/> <span style="font-size:24px; font-weight:bold;"><i>CERTIFICATE OF COMPLETION</i></span><br/><span style="float: right;margin-right: 70px;"><i>Graduated</i></span><br/> <span style="font-size:14px"><i>on this the <span>'.$final_d_format.'</span></i></span><br/><br/> <div style="width:288px; float:left; padding:0 20px"><br><br><span style="border:0px;border-bottom: 1px solid #ccc; display: block; color:#000;"></span> </div> <div style="width:288px; float:right; padding:0 20px"><br><br><span style="border:0px;border-bottom: 1px solid #ccc; display: block; color:#000;"></span> </div> <img src="cardio-logo.png" style="position: absolute;top: 17%;left: 32.5%;width: 370px;opacity: 0.05;"></div>';
			}

			
			// echo $cert_html;die;
			$dompdf = new Dompdf();
			$dompdf->loadHtml($cert_html);
			$dompdf->setPaper('A4', 'landscape');
			$dompdf->render();
			$output = $dompdf->output();
			$filename = str_replace(" ", "", $student_name).'_'.$student_id.'_'.str_replace(" ", "", $title);
			$i=1;
			while(file_exists('docs/'.$filename.'.pdf'))
			{
				$i++;
				$filename = $filename.'_'.$i;
			}
			$f_sts = file_put_contents('docs/'.$filename.'.pdf', $output);
			if($f_sts !== false)
			{
				$ins = new stdClass();
				$ins->student_id = $student_id;
				$ins->filename = $filename.'.pdf';
				$cert_id = $DB->insert_record('certificate_student', $ins);
			}
		}
	}
}
redirect($_SERVER['HTTP_REFERER']);
// echo $OUTPUT->footer();
?>