<?php
require_once(dirname(dirname(dirname(__FILE__))).'/config.php');
require_login();
$context = context_system::instance();
$PAGE->set_context($context);
$PAGE->set_url('/local/clinical/index.php');
$PAGE->set_heading('Clinical Section: Affective Domains');
$PAGE->set_pagelayout('standard');
$PAGE->set_title(get_string('pluginname', 'local_clinical'));
echo $OUTPUT->header();

echo '<style>div{word-wrap:break-word;}</style>';

if(is_siteadmin()) 
{
	
	$q = "SELECT a.*,b.name FROM mdl_clinical_aff_domains as a LEFT JOIN mdl_course_categories as b ON a.program_id=b.id WHERE b.visible=1 AND a.status=1";
	$aff_domains = $DB->get_records_sql($q);
	$aff_dom_listing_html = '<div class="col-md-12 col-sm-12"><div class="col-md-2 col-sm-2"><b>S.No.</b></div><div class="col-md-4 col-sm-4"><b>Domain Name</b></div><div class="col-md-4 col-sm-4"><b>Program Name</b></div><div class="col-md-2 col-sm-2"><b>Action</b></div></div>';
	$i=1;
	if(!empty($aff_domains))
	{
		foreach ($aff_domains as $single_domain) 
		{
			$aff_dom_listing_html = $aff_dom_listing_html.'<div class="col-md-12 col-sm-12"><div class="col-md-2 col-sm-2">'.$i++.'</div><div class="col-md-4 col-sm-4" id="dom_nm_'.$single_domain->id.'">'.$single_domain->aff_domain.'</div><div class="col-md-4 col-sm-4" id="dom_prog_'.$single_domain->id.'" rel="'.$single_domain->program_id.'">'.$single_domain->name.'</div><div class="col-md-2 col-sm-2"><form action="'.$CFG->wwwroot.'/local/clinical/domainEntryAction.php" method="post" id="action_form_'.$single_domain->id.'"><a href="javascript:void(0);" onclick="editDomain(this)" rel="'.$single_domain->id.'">&#x270f;</a><input type="hidden" name="domain_id" value="'.$single_domain->id.'"><input type="hidden" name="task" value="delete"><input type="hidden" name="domain_type" value="affdomain"><a href="javascript:void(0);" class="text-danger" style="margin-left:5px;" onclick="deleteDomain(this)" rel="'.$single_domain->id.'">X</a></form></div></div>';
		}
	}
	echo '<h3 style="margin:10px 0px;">Affective Domains Listing</h3>';
	echo $aff_dom_listing_html;
	echo '<div style="clear:both;"></div><h4 style="margin:10px 0px;">Add Affective Domains</h4>';

	$q1 = "SELECT * FROM mdl_course_categories WHERE visible=1";
	$cats = $DB->get_records_sql($q1);

	$cats_options_html = '';
	if(!empty($cats))
	{
		foreach ($cats as $cat) 
		{
			$cats_options_html = $cats_options_html.'<option value="'.$cat->id.'" id="prog_sel_'.$cat->id.'">'.$cat->name.'</option>'; 
		}
	}

	$cat_sel_html = '<div class="form-group"><select name="program" class="form-control"><option value="0">Select Program</option>'.$cats_options_html.'</select></div>';

	echo '<div class="col-md-12"><form action="'.$CFG->wwwroot.'/local/clinical/domainEntryAction.php" method="post"><input type="hidden" name="domain_type" value="affdomain"><input type="hidden" name="domain_id" value="0" id="in_dom_id"><input type="hidden" name="task" value="addedit">'.$cat_sel_html.'<div class="form-group"><input type="text" name="domain" class="form-control" id="domain_text" placeholder="Enter domain name"></div><div class="form-group"><input type="submit" name="submit" value="Save" class="btn btn-primary pull-right"></div></form></div>';


	$script_html = '<script>function deleteDomain(ele){var id = $(ele).attr("rel");$("#action_form_"+id).submit();} function editDomain(ele){var dom_id = $(ele).attr("rel");var dom_name = $("#dom_nm_"+dom_id).html().trim();var dom_name = $("#dom_nm_"+dom_id).html().trim();var dom_prog = $("#dom_prog_"+dom_id).attr("rel").trim();$("#domain_text").val(dom_name);$("#prog_sel_"+dom_prog).attr("Selected","true");$("#in_dom_id").val(dom_id);}</script>';
	echo $script_html;


	//PSYCHOMETER DOMAIN***************************************************************/

	

	$q_p = "SELECT * FROM mdl_clinical_psy_domains WHERE status=1";
	$psy_domains = $DB->get_records_sql($q_p);
	$psy_dom_listing_html = '<div class="col-md-12 col-sm-12"><div class="col-md-2 col-sm-2"><b>S.No.</b></div><div class="col-md-8 col-sm-8"><b>Domain Name</b></div><div class="col-md-2 col-sm-2"><b>Action</b></div></div>';
	$i=1;
	if(!empty($psy_domains))
	{
		foreach ($psy_domains as $single_domain) 
		{
			$psy_dom_listing_html = $psy_dom_listing_html.'<div class="col-md-12 col-sm-12"><div class="col-md-2 col-sm-2">'.$i++.'</div><div class="col-md-8 col-sm-8" id="psy_dom_nm_'.$single_domain->id.'">'.$single_domain->domain_name.'</div><div class="col-md-2 col-sm-2"><form action="'.$CFG->wwwroot.'/local/clinical/domainEntryAction.php" method="post" id="psy_action_form_'.$single_domain->id.'"><a href="javascript:void(0);" onclick="psy_editDomain(this)" rel="'.$single_domain->id.'">&#x270f;</a><input type="hidden" name="domain_id" value="'.$single_domain->id.'"><input type="hidden" name="task" value="delete"><input type="hidden" name="domain_type" value="psydomain"><a href="javascript:void(0);" class="text-danger" style="margin-left:5px;" onclick="psy_deleteDomain(this)" rel="'.$single_domain->id.'">X</a></form></div></div>';
		}
	}
	echo '<div style="clear:both;"></div><hr>';
	echo '<h3 style="margin:10px 0px;">Psychometer Domains Listing</h3>';
	echo $psy_dom_listing_html;
	echo '<div style="clear:both;"></div><h4 style="margin:10px 0px;">Add Psychometer Domains</h4>';


	echo '<div class="col-md-12"><form action="'.$CFG->wwwroot.'/local/clinical/domainEntryAction.php" method="post"><input type="hidden" name="domain_type" value="psydomain"><input type="hidden" name="domain_id" value="0" id="psy_in_dom_id"><input type="hidden" name="task" value="addedit"><div class="form-group"><input type="text" name="domain" class="form-control" id="psy_domain_text" placeholder="Enter domain name"></div><div class="form-group"><input type="submit" name="submit" value="Save" class="btn btn-primary pull-right"></div></form></div>';


	$script_html = '<script>function psy_deleteDomain(ele){var id = $(ele).attr("rel");$("#psy_action_form_"+id).submit();} function psy_editDomain(ele){var dom_id = $(ele).attr("rel");var dom_name = $("#psy_dom_nm_"+dom_id).html().trim();var dom_name = $("#psy_dom_nm_"+dom_id).html().trim();$("#psy_domain_text").val(dom_name);$("#psy_in_dom_id").val(dom_id);}</script>';
	echo $script_html;


	//OTHER DOMAIN***************************************************************/

	
	$q_p = "SELECT * FROM mdl_clinical_other_domains WHERE status=1";
	$other_domains = $DB->get_records_sql($q_p);
	$other_dom_listing_html = '<div class="col-md-12 col-sm-12"><div class="col-md-2 col-sm-2"><b>S.No.</b></div><div class="col-md-8 col-sm-8"><b>Domain Name</b></div><div class="col-md-2 col-sm-2"><b>Action</b></div></div>';
	$i=1;
	if(!empty($other_domains))
	{
		foreach ($other_domains as $single_domain) 
		{
			$other_dom_listing_html = $other_dom_listing_html.'<div class="col-md-12 col-sm-12"><div class="col-md-2 col-sm-2">'.$i++.'</div><div class="col-md-8 col-sm-8" id="other_dom_nm_'.$single_domain->id.'">'.$single_domain->domain_name.'</div><div class="col-md-2 col-sm-2"><form action="'.$CFG->wwwroot.'/local/clinical/domainEntryAction.php" method="post" id="other_action_form_'.$single_domain->id.'"><a href="javascript:void(0);" onclick="other_editDomain(this)" rel="'.$single_domain->id.'">&#x270f;</a><input type="hidden" name="domain_id" value="'.$single_domain->id.'"><input type="hidden" name="task" value="delete"><input type="hidden" name="domain_type" value="otherdomain"><a href="javascript:void(0);" class="text-danger" style="margin-left:5px;" onclick="other_deleteDomain(this)" rel="'.$single_domain->id.'">X</a></form></div></div>';
		}
	}
	echo '<div style="clear:both;"></div><hr>';
	echo '<h3 style="margin:10px 0px;">Other Domains Listing</h3>';
	echo $other_dom_listing_html;
	echo '<div style="clear:both;"></div><h4 style="margin:10px 0px;">Add Other Domains</h4>';


	echo '<div class="col-md-12"><form action="'.$CFG->wwwroot.'/local/clinical/domainEntryAction.php" method="post"><input type="hidden" name="domain_type" value="otherdomain"><input type="hidden" name="domain_id" value="0" id="other_in_dom_id"><input type="hidden" name="task" value="addedit"><div class="form-group"><input type="text" name="domain" class="form-control" id="other_domain_text" placeholder="Enter domain name"></div><div class="form-group"><input type="submit" name="submit" value="Save" class="btn btn-primary pull-right"></div></form></div>';


	$script_html = '<script>function other_deleteDomain(ele){var id = $(ele).attr("rel");$("#other_action_form_"+id).submit();} function other_editDomain(ele){var dom_id = $(ele).attr("rel");var dom_name = $("#other_dom_nm_"+dom_id).html().trim();var dom_name = $("#other_dom_nm_"+dom_id).html().trim();$("#other_domain_text").val(dom_name);$("#other_in_dom_id").val(dom_id);}</script>';
	echo $script_html;


}
echo $OUTPUT->footer();