<?php
require_once(dirname(dirname(dirname(__FILE__))).'/config.php');
require_login();
$context = context_system::instance();
$PAGE->set_context($context);
$PAGE->set_url('/local/clinical/index.php');
$PAGE->set_heading('Clinical Section: Create New Event');
$PAGE->set_pagelayout('standard');
$PAGE->set_title(get_string('pluginname', 'local_clinical'));
echo $OUTPUT->header();
if (is_siteadmin()) 
{
	$id = optional_param('id', 0, PARAM_INT);
	// var_dump($id);die;
	if($id == 0)
	{
		//New clinical entry
		require_once('simplehtml_form.php');
		// //Instantiate simplehtml_form 
		$mform = new simplehtml_form();
		// //Form processing and displaying is done here
		if ($mform->is_cancelled()) {
			redirect($CFG->wwwroot.'/local/clinical/detail.php?id='.$id);
			//header('Location: '.$CFG->wwwroot.'/local/clinical/editclinical.php');
			//header('Location : '.$CFG->wwwroot.'/local/clinical/detail.php?id='.$id);
			//echo 'cancelled';
		    //Handle form cancel operation, if cancel button is present on form
		} 
		else if ($fromform = $mform->get_data()) {
			$data = $mform->get_data();
			if(!empty($data))
			{
				$ins1 = new stdClass();
				$ins1->title = $data->title;
				$ins1->site_sup_name = $data->site_sup_name;
				$ins1->site_sup_email = $data->site_sup_email;
				$ins1->site_sup_phone = $data->site_sup_phone;
				if(is_array($data->description))
					$ins1->description = $data->description['text'];
				else
					$ins1->description = $data->description;
				$ins1->cat_id = (int)$data->cat_id;
				$ins1->semester = $data->semester;
				$ins1->rot_p = $data->rot_p;
				$ins1->start_date = $data->start_date;
				$ins1->end_date = $data->end_date;
				
				$ins1->venue = $data->venue;
				$ins1->evaluation_sheet_status = 0;
				$ins1->timesheet_status = 0;
				$ins1->log_sheet_status = 0;
				$ins1->apply_request = 0;
				$ins1->active = $data->active;
				$ins1->id = $DB->insert_record('clinical', $ins1);
				if($ins1->id){
					redirect($CFG->wwwroot.'/local/clinical/detail.php?id='.$ins1->id);
				}
			}
			else
			{
				$mform->display();
			}
		} else {
		  $mform->display();
		}
	}
	else
	{
		// Edit Existing clinical entry
		require_once('simplehtml_form.php');
		// //Instantiate simplehtml_form 
		$mform = new simplehtml_form();

		$parentid = $id;
		$defaults = $DB->get_record('clinical', array('id'=>$parentid));
		if(!empty($defaults))
        {
            $defaults->description = array('text'=>$defaults->description);
            $mform->set_data($defaults);
        }
        // var_dump($defaults);die;
		
		// //Form processing and displaying is done here
		if ($mform->is_cancelled()) {
			redirect($CFG->wwwroot.'/local/clinical/detail.php?id='.$id);
			// echo 'cancelled ef';
		    //Handle form cancel operation, if cancel button is present on form
		} 
		else if ($fromform = $mform->get_data()) {
			$data = $mform->get_data();
			if(!empty($data))
			{
				//var_dump($data);
				$ins2 = new stdClass();
				$ins2->id = $parentid;
				$ins2->title = $data->title;
				$ins2->site_sup_name = $data->site_sup_name;
				$ins2->site_sup_email = $data->site_sup_email;
				$ins2->site_sup_phone = $data->site_sup_phone;
				if(is_array($data->description))
					$ins2->description = $data->description['text'];
				else
					$ins2->description = $data->description;
				$ins2->cat_id = (int)$data->cat_id;
				$ins2->semester = $data->semester;
				$ins2->rot_p = $data->rot_p;
				$ins2->start_date = $data->start_date;
				$ins2->end_date = $data->end_date;
				
				$ins2->venue = $data->venue;
				$ins2->evaluation_sheet_status = 0;
				$ins2->timesheet_status = 0;
				$ins2->log_sheet_status = 0;
				$ins2->apply_request = 0;
				$ins2->active = $data->active;
				$sts = $DB->update_record('clinical', $ins2);
				if($sts){
					redirect($CFG->wwwroot.'/local/clinical/detail.php?id='.$parentid);
				}
			}
			else
			{
				$mform->display();
			}
		} else {
		  $mform->display();
		}
	}
}
else 
{
	echo 'not admin';die;
}
echo $OUTPUT->footer();