<?php
require_once(dirname(dirname(dirname(__FILE__))).'/config.php');
require_login();
$context = context_system::instance();
$PAGE->set_context($context);
$PAGE->set_url('/local/clinical/index.php');
$PAGE->set_heading('Clinical Section: List All Events');
$PAGE->set_pagelayout('standard');
$PAGE->set_title(get_string('pluginname', 'local_clinical'));
echo $OUTPUT->header();
if (is_siteadmin())
{
	$sort = optional_param('sort', '', PARAM_RAW);
	$sq = optional_param('q', '', PARAM_RAW);
	$where_cond = '';
	if(!empty($sq))
	{
		$where_cond = "WHERE title LIKE '%".$sq."%'";
	}

	$sort_par = "ORDER BY title ASC";
	if(!empty($sort))
	{
		$sort_v = explode(":", $sort);
		$sort_par = "ORDER BY ".$sort_v[0]." ".$sort_v[1];
	}

	$tot = 0;
	$q = "SELECT count(id) as tot FROM mdl_clinical ".$where_cond;
	$clinical_count = $DB->get_record_sql($q);
	if(!empty($clinical_count))
	{
		$tot = $clinical_count->tot;
	}

	$page = optional_param('page', 1, PARAM_INT);
	$limit = 10;
	if($page == 0)
		$page=1;

	$offset = ($page-1) * $limit;
	$opt_str ='';

	if($sort == 'title:ASC')
		$opt_str = $opt_str .'<option value="title:ASC" selected>Title Ascending</option>';
	else
		$opt_str = $opt_str .'<option value="title:ASC">Title Ascending</option>';

	if($sort == 'title:DESC')
		$opt_str = $opt_str .'<option value="title:DESC" selected>Title Descending</option>';
	else
		$opt_str = $opt_str .'<option value="title:DESC">Title Descending</option>';

	if($sort == 'created_date:ASC')
		$opt_str = $opt_str .'<option value="created_date:ASC" selected>Created Date Ascending</option>';
	else
		$opt_str = $opt_str .'<option value="created_date:ASC">Created Date Ascending</option>';

	if($sort == 'created_date:DESC')
		$opt_str = $opt_str .'<option value="created_date:DESC" selected>Created Date Descending</option>';
	else
		$opt_str = $opt_str .'<option value="created_date:DESC">Created Date Descending</option>';

	if($sort == 'active:DESC')
		$opt_str = $opt_str .'<option value="active:DESC" selected>Visible Ascending</option>';
	else
		$opt_str = $opt_str .'<option value="active:DESC">Visible Ascending</option>';

	if($sort == 'active:ASC')
		$opt_str = $opt_str .'<option value="active:ASC" selected>Visible Descending</option>';
	else
		$opt_str = $opt_str .'<option value="active:ASC">Visible Descending</option>';

	
	echo '<form id="filter_form"><div class="col-md-6 col-sm-6" style="margin:10px 0px;"><label style="margin-right:5px;">Sort By : </label><select class="select custom-select clinical_flt" id="cl_filter" name="sort" onchange="$(\'#filter_form\').submit();">'.$opt_str.'</select></div>';

	echo '<div class="col-md-6 col-sm-6" style="margin:10px 0px;"><div class="col-md-6 col-sm-6"><input type="text" name="q" placeholder="Search keyword" class="form-control" value="'.$sq.'"></div><div class="col-md-3 col-sm-3"><input type="submit" class="btn btn-primary" value="Search"></div><div class="col-md-3 col-sm-3"><a href="'.$CFG->wwwroot.'/local/clinical/" class="btn btn-primary">Clear Filters</a></div></div></form>';

	$query = "SELECT * FROM mdl_clinical ".$where_cond." ".$sort_par." LIMIT $offset, $limit";
	$clinical_events = $DB->get_records_sql($query);
	if(!empty($clinical_events))
	{
		echo '<table class="generaltable"><tbody><tr><th> Clinical Title</th><th> Start Date</th><th> Clinical Site</th><th>Visibility To Students</th><th></th></tr>';
		foreach ($clinical_events as $key => $c_event)
		{
			$st_str = 'Invisible';
			if($c_event->active==1)
			{
				$st_str='Visible';
			}
			echo '<tr class="testmca all_cour act_sts'.$c_event->active.'"><td><a class="dashboardlink" href="'.$CFG->wwwroot.'/local/clinical/detail.php?id='.$c_event->id.'">'.$c_event->title.'</a></td><td>'.date('m/d/Y H:i:s',$c_event->start_date).'</td><td>'.$c_event->venue.'</td><td>'.$st_str.'</td><td><span onclick="delete_clin(this)" rel="'.$c_event->id.'" class="btn btn-danger">Delete</span></td></tr>';
		}
		echo '</tbody></table>';
	}
	else
	{
		echo '<p style="clear:both">No clinical created yet.Please add new.</p>';
	}

	echo '<a href="'.$CFG->wwwroot.'/local/clinical/editclinical.php" class="btn btn-primary" style="margin:10px;">Add New</a>';

	echo '<a href="'.$CFG->wwwroot.'/local/clinical/domainEntry.php" class="btn btn-primary" style="margin:10px;">Domains For Evaluation Sheet</a>';

	if($tot > $limit)
	{

	    $total_pages = ceil($tot/$limit);
	    $pagLink = "<div style='text-align:center;'>";
	    for ($i=1; $i<=$total_pages; $i++) {
	    	if($sort != '' || $q != '')
	    	{
		        if($i == $page)  
		            $pagLink .= "<a class='btn btn-primary' style='margin:0px 2px;' href='".$CFG->wwwroot."/local/clinical/index.php?sort=".$sort."&q=".$sq."&page=".$i."'>".$i."</a>";
		        else
		            $pagLink .= "<a class='btn btn-default' style='margin:0px 2px;' href='".$CFG->wwwroot."/local/clinical/index.php?sort=".$sort."&q=".$sq."&page=".$i."'>".$i."</a>";
		    }
		    else
		    {
		    	if($i == $page)  
		            $pagLink .= "<a class='btn btn-primary' style='margin:0px 2px;' href='".$CFG->wwwroot."/local/clinical/index.php?page=".$i."'>".$i."</a>";
		        else
		            $pagLink .= "<a class='btn btn-default' style='margin:0px 2px;' href='".$CFG->wwwroot."/local/clinical/index.php?page=".$i."'>".$i."</a>";
		    }
	    };  
	    echo $pagLink . "</div>";
	}


}
else
{

	$sort = optional_param('sort', '', PARAM_RAW);
	$sq = optional_param('q', '', PARAM_RAW);
	$where_cond = '';
	if(!empty($sq))
	{
		$where_cond = "AND a.title LIKE '".$sq."%'";
	}

	$sort_par = "ORDER BY title ASC";
	if(!empty($sort))
	{
		$sort_v = explode(":", $sort);
		$sort_par = "ORDER BY ".$sort_v[0]." ".$sort_v[1];
	}


	$tot = 0;
	$q = "SELECT count(a.id) as tot FROM mdl_clinical as a LEFT JOIN mdl_clinical_student_rel as b ON a.id=b.event_id WHERE a.active=1 AND b.user_id=".$USER->id." ".$where_cond;
	$clinical_count = $DB->get_record_sql($q);
	if(!empty($clinical_count))
	{
		$tot = $clinical_count->tot;
	}

	$page = optional_param('page', 1, PARAM_INT);
	$limit = 10;
	if($page == 0)
		$page=1;

	$offset = ($page-1) * $limit;

	if($sort == 'title:ASC')
		$opt_str = $opt_str .'<option value="title:ASC" selected>Title Ascending</option>';
	else
		$opt_str = $opt_str .'<option value="title:ASC">Title Ascending</option>';

	if($sort == 'title:DESC')
		$opt_str = $opt_str .'<option value="title:DESC" selected>Title Descending</option>';
	else
		$opt_str = $opt_str .'<option value="title:DESC">Title Descending</option>';

	if($sort == 'created_date:ASC')
		$opt_str = $opt_str .'<option value="created_date:ASC" selected>Created Date Ascending</option>';
	else
		$opt_str = $opt_str .'<option value="created_date:ASC">Created Date Ascending</option>';

	if($sort == 'created_date:DESC')
		$opt_str = $opt_str .'<option value="created_date:DESC" selected>Created Date Descending</option>';
	else
		$opt_str = $opt_str .'<option value="created_date:DESC">Created Date Descending</option>';


	$query = "SELECT a.* FROM mdl_clinical as a LEFT JOIN mdl_clinical_student_rel as b ON a.id=b.event_id WHERE a.active=1 AND b.user_id=".$USER->id." ".$where_cond." ".$sort_par." LIMIT $offset, $limit";
	$clinical_events = $DB->get_records_sql($query);
	echo '<form id="filter_form"><div class="col-md-6 col-sm-6" style="margin:10px 0px;"><label style="margin-right:5px;">Sort By : </label><select class="select custom-select clinical_flt" id="cl_filter" name="sort" onchange="$(\'#filter_form\').submit();">'.$opt_str.'</select></div>';

	echo '<div class="col-md-6 col-sm-6" style="margin:10px 0px;"><div class="col-md-6 col-sm-6"><input type="text" name="q" placeholder="Search keyword" class="form-control" value="'.$sq.'"></div><div class="col-md-3 col-sm-3"><input type="submit" class="btn btn-primary" value="Search"></div><div class="col-md-3 col-sm-3"><a href="'.$CFG->wwwroot.'/local/clinical/" class="btn btn-primary">Clear Filters</a></div></div></form>';

	if(!empty($clinical_events))
	{

		echo '<table class="generaltable"><tbody><tr><th> Clinical Title</th><th> Start Date</th><th> Clinical Site</th><th>Visibility To Students</th><th></th></tr>';
		foreach ($clinical_events as $key => $c_event) 
		{
			$st_str = 'Invisible';
			if($c_event->active==1)
			{
				$st_str='Visible';
					echo '<tr class="testmca all_cour"><td><a class="dashboardlink" href="'.$CFG->wwwroot.'/local/clinical/detail.php?id='.$c_event->id.'">'.$c_event->title.'</a></td><td>'.date('m/d/Y H:i:s',$c_event->start_date).'</td><td>'.$c_event->venue.'</td><td>'.$st_str.'</td><td><span onclick="delete_clin(this)" rel="'.$c_event->id.'" class="btn btn-danger">Delete</span></td></tr>';
			}
		}
		echo '</tbody></table>';
	}
	else
	{
		echo '<p style="clear:both">No clinical assigned to you.Please contact administrator.</p>';
	}

	if($tot > $limit)
	{

	    $total_pages = ceil($tot/$limit);
	    $pagLink = "<div style='text-align:center;'>";
	    for ($i=1; $i<=$total_pages; $i++) {
	    	if($sort != '' || $q != '')
	    	{
		        if($i == $page)  
		            $pagLink .= "<a class='btn btn-primary' style='margin:0px 2px;' href='".$CFG->wwwroot."/local/clinical/index.php?sort=".$sort."&q=".$sq."&page=".$i."'>".$i."</a>";
		        else
		            $pagLink .= "<a class='btn btn-default' style='margin:0px 2px;' href='".$CFG->wwwroot."/local/clinical/index.php?sort=".$sort."&q=".$sq."&page=".$i."'>".$i."</a>";
		    }
		    else
		    {
		    	if($i == $page)  
		            $pagLink .= "<a class='btn btn-primary' style='margin:0px 2px;' href='".$CFG->wwwroot."/local/clinical/index.php?page=".$i."'>".$i."</a>";
		        else
		            $pagLink .= "<a class='btn btn-default' style='margin:0px 2px;' href='".$CFG->wwwroot."/local/clinical/index.php?page=".$i."'>".$i."</a>";
		    }
	    };  
	    echo $pagLink . "</div>";
	}
}

echo '<script>
	function delete_clin(ele)
	{
		var ent_id = $(ele).attr("rel");
		$.ajax({
		  url: "clinical_del.php",
		  type: "POST",
		  data: {entry_id : ent_id},
		  success:function(data){if(data.trim() == 1){$(ele).parent().parent().remove();}}
		});
	}
</script>';
echo $OUTPUT->footer();