<?php

//moodleform is defined in formslib.php
require_once("$CFG->libdir/formslib.php");
 
class simplehtml_form extends moodleform {
    //Add elements to form
    public function definition() {
        global $CFG;
        global $DB;
        global $USER;
 
        $mform = $this->_form; // Don't forget the underscore! 
 
        // $mform->addElement('text', 'email', get_string('email')); // Add elements to your form
        // $mform->setType('email', PARAM_NOTAGS);                   //Set type of element
        // $mform->setDefault('email', 'Please enter email');
        $ed_op = array(
                'subdirs'=>1,
                'maxbytes'=>0,
                'maxfiles'=>100,
                'changeformat'=>1,
                'context'=>null,
                'noclean'=>0,
                'trusttext'=>0,
                'enable_filemanagement' => true);

        $mform->addElement('text', 'title', 'Event Title',null,array('optional' => false)); // Add elements to your form
        $mform->setType('title', PARAM_RAW);
        $mform->addRule('title', 'Title cannot be empty', 'required', null, 'server');                   //Set type of element

        $mform->addElement('text', 'site_sup_name', 'Site Supervisor Name',null,array('optional' => false));
        $mform->setType('site_sup_name', PARAM_RAW);
        $mform->addRule('site_sup_name', 'Site supervisor name cannot be empty', 'required', null, 'client'); 

        $mform->addElement('text', 'site_sup_email', 'Site Supervisor Email',null,array('optional' => false));
        $mform->setType('site_sup_email', PARAM_RAW);
        $mform->addRule('site_sup_email', 'Site supervisor email cannot be empty', 'required', null, 'client');

        $mform->addElement('text', 'site_sup_phone', 'Site Supervisor Phone',null,array('optional' => false));
        $mform->setType('site_sup_phone', PARAM_RAW);
        $mform->addRule('site_sup_phone', 'Site supervisor phone cannot be empty', 'required', null, 'client');

        // $cm = get_coursemodule_from_instance('forum', 1, 2);
        // $context = get_context_instance(CONTEXT_MODULE, $cm->id);

        $mform->addElement('hidden', 'id', '',null,array('optional' => false));

        $query = "SELECT * FROM mdl_course_categories WHERE visible=1 ORDER BY name ASC";
        $cats = $DB->get_records_sql($query);
        foreach ($cats as $cour) 
        {
            $c_options[$cour->id] = $cour->name;
        }
        $mform->addElement('select', 'cat_id', 'Select Program', $c_options);
        $mform->setType('cat_id', PARAM_INT);
        $mform->addRule('cat_id', 'Select at least one program', 'required', null, 'server');

        for($i=1;$i<11;$i++) 
        {
            $cs_options[$i] = $i;
        }
        $mform->addElement('select', 'semester', 'Select Semester', $cs_options);
        $mform->setType('semester', PARAM_INT);
        $mform->addRule('semester', 'Select at least one semester', 'required', null, 'server');

        $mform->addElement('text', 'rot_p', 'Rotational Period',null,array('optional' => false));
        $mform->setType('rot_p', PARAM_RAW);
        // $mform->addRule('rot_p', 'Shortname cannot be empty', 'required', null, 'server');


        $mform->addElement('editor', 'description', 'Event Description', $ed_op);
        $mform->setType('description', PARAM_RAW);
        $mform->addRule('description', 'Description cannot be empty', 'required', null, 'server');

        $mform->addElement('textarea', 'venue', 'Event Venue Address');
        $mform->setType('venue', PARAM_RAW);
        $mform->addRule('venue', 'Venue cannot be empty', 'required', null, 'server');

        $mform->addElement('date_time_selector', 'start_date', 'Event Start Date');
        $mform->setType('start_date', PARAM_RAW);
        $mform->addElement('date_time_selector', 'end_date', 'Event End Date');
        $mform->setType('end_date', PARAM_RAW);
      


        $radioarray=array();
        $radioarray[] = $mform->createElement('radio', 'active', '', 'Yes', 1, null);
        $radioarray[] = $mform->createElement('radio', 'active', '','No', 0, null);
        $mform->setType('active', PARAM_INT);
        $mform->addGroup($radioarray, 'active', 'Visible To Students', array(' '), false);

        $buttonarray=array();
        $buttonarray[] = $mform->createElement('submit', 'submitbutton', get_string('savechanges'));
        // $buttonarray[] = $mform->createElement('cancel','cancelbutton','Details');
        $mform->addGroup($buttonarray, 'buttonar', '', ' ', false);
        
    }
    //Custom validation should be added here
    function validation($data, $files) {
        return array();
    }
}

?>