<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Local plugin "dashboard" - Settings
 *
 * @package    local_dashboard
 * @copyright   2015 KTree Computer Solutions <opensource@ktree.com>
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

require_once(dirname(dirname(dirname(__FILE__))).'/config.php');
require_once($CFG->dirroot . '/local/dashboard/lib.php');
// require_once(dirname(__FILE__) . '/../../config.php');
require_once('lib.php');

require_login();

$redirecturl = $CFG->wwwroot;
$context = context_user::instance($USER->id);

$roles = get_user_roles($context, $USER->id, true);
$flag = 0;
foreach ($roles as $key => $value) 
{
	var_dump($value->shortname);
    if($value->shortname == 'staffteacher' || $value->shortname == 'teacher' || $value->shortname == 'manager' || $value->shortname == 'admin')
    {
        $flag = 1;
        break;
    }
}
    



if($flag == 1)
{
	$pagetitle = 'Create Course Options';
    $params = array();
    $PAGE->set_context($context);
    $PAGE->set_url('/local/dashboard/addassignment.php', $params);
    $PAGE->set_pagelayout('standard');
    $PAGE->set_title('Create Course Options');
    $header = fullname($USER);
    $PAGE->set_heading($header);
    echo $OUTPUT->header();
    echo $OUTPUT->heading($pagetitle);

    echo '<p style="text-align:center"><a href="'.$CFG->wwwroot.'/course/edit.php?category=2" class="btn btn-primary">Create New Course</a><a style="margin-left:20px;" href="'.$CFG->wwwroot.'/local/course_templates/index.php" class="btn btn-primary">Copy From Existing</a></p>';
    
    echo $OUTPUT->footer();
}
else
{
	$pagetitle = 'Access Denied';
    $params = array();
    $PAGE->set_context($context);
    $PAGE->set_url('/local/dashboard/addassignment.php', $params);
    $PAGE->set_pagelayout('standard');
    $PAGE->set_title('Access Denied');
    $header = fullname($USER);
    $PAGE->set_heading($header);
    echo $OUTPUT->header();
    echo $OUTPUT->heading($pagetitle);
	echo '<p class="text-danger" style="text-align:center">You do not have permission to create courses. <br><a style="margin-top:20px;" href="'.$CFG->wwwroot.'" class="btn btn-primary">Go Home</a></p>';
	echo $OUTPUT->footer();
	// echo '<a href="'.$CFG->wwwroot.'" class="btn btn-primary">Go Home</a>';
}

