<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Local plugin "dashboard" - Settings
 *
 * @package    local_dashboard
 * @copyright   2015 KTree Computer Solutions <opensource@ktree.com>
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

require_once(dirname(dirname(dirname(__FILE__))).'/config.php');
require_once($CFG->dirroot . '/local/dashboard/lib.php');
// require_once(dirname(__FILE__) . '/../../config.php');
require_once('lib.php');

require_login();

$redirecturl = $CFG->wwwroot;
$context = context_user::instance($USER->id);

$roles = get_user_roles($context, $USER->id, true);
$flag = 0;
foreach ($roles as $key => $value) 
{
    if($value->shortname == 'staffteacher' || $value->shortname == 'teacher')
    {
        $flag = 1;
        break;
    }
    if($value->shortname == 'manager')
    {
        $flag = 2;
        break;
    }
}

    $pagetitle = 'Schedule';
    $params = array();
    $PAGE->set_context($context);
    $PAGE->set_url('/local/dashboard/addassignment.php', $params);
    $PAGE->set_pagelayout('standard');
    $PAGE->set_title('Schedule for courses');
    $header = fullname($USER);
    $PAGE->set_heading($header);
    echo $OUTPUT->header();
    echo $OUTPUT->heading($pagetitle);
    echo '<link rel="stylesheet" href="dist/datepickk.min.css"><script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"> <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/8.7/styles/zenburn.min.css"> <link href="https://fonts.googleapis.com/css?family=Raleway:400,600" rel="stylesheet"> <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/8.7/highlight.min.js"></script> <script src="dist/datepickk.min.js"></script>';
    echo '<div id="demoPicker" style="height:450px;margin:0px auto;"></div>';

    $out_html = '<form action="'.$CFG->wwwroot.'/course/modedit.php" method="get"><input type="hidden" name="section" value="0"><input type="hidden" name="add" value="assign">';
    //$query = "SELECT id, fullname, shortname from {course}";
    if($flag == 2)
        $query = "SELECT DISTINCT c.id FROM mdl_course AS c INNER JOIN mdl_context AS cx ON c.id = cx.instanceid AND cx.contextlevel = '50'";
    else
        $query = "SELECT c.id,c.fullname FROM mdl_user u INNER JOIN mdl_user_enrolments ue ON ue.userid = u.id INNER JOIN mdl_enrol e ON e.id = ue.enrolid INNER JOIN mdl_course c ON e.courseid = c.id WHERE ue.userid=".$USER->id;

    // $q = "SELECT mdl_attendance"
    $courselist = $DB->get_records_sql($query);
    $highlight = array();
    
    foreach ($courselist as $course) 
    {
        $q = "SELECT id FROM mdl_attendance where course=".$course->id;
        $attlist1 = $DB->get_records_sql($q);
        // var_dump($attlist1);die;
        foreach ($attlist1 as $attn1) 
        {
            // $i = 0;
            $q = "SELECT * FROM mdl_attendance_sessions where attendanceid=".(int)$attn1->id;
            $attlist = $DB->get_records_sql($q);
            // var_dump($attlist);die;
            foreach ($attlist as $k=>$attn) 
            {
                // echo date("d", $attn->sessdate).'--';
                $highlight[$k]['start']['y'] = date("Y", $attn->sessdate);
                $highlight[$k]['start']['m'] = date("m", $attn->sessdate)-1;
                $highlight[$k]['start']['d'] = date("d", $attn->sessdate);
                // $i++;
            }

        }
        
    }
    $myJSON = json_encode($highlight);

    echo '<script> 
    var flg = "'.$flag.'";
    var json_h = '.$myJSON.';
    jsonObj = [];
    $.each(json_h,function(k,itt) {
        item = {}
        item ["start"] = new Date(itt.start.y,itt.start.m,itt.start.d);
        item ["end"] = new Date(itt.start.y,itt.start.m,itt.start.d);
        item ["backgroundColor"] = "#05676E";
        item ["color"] = "#fff";
        jsonObj.push(item);
    });

    var now = new Date();var demoPicker = new Datepickk({container: document.querySelector("#demoPicker"), locked : false, inline:true, range: false,maxSelections:6,highlight:jsonObj}); demoPicker.onSelect = function(checked){var d_str = convert(this.toString()); newfun(d_str);};

    function convert(str) {
        var date = new Date(str),
            mnth = ("0" + (date.getMonth()+1)).slice(-2),
            day  = ("0" + date.getDate()).slice(-2);
        return [ date.getFullYear(), mnth, day ].join("-");
    }
    
    function newfun(tt){
        // tt = HumanToEpoch2(tt);
        console.log(tt);
        var str = "";
        jQuery("#sc_detail").html("");
        $.ajax({
            url:"'.$CFG->wwwroot.'/local/dashboard/schedule_det.php",
            method:"POST",
            data:{"dt":tt},
            async:false,
            datatype:"JSON",
            success:function(data){
                // console.log(data);
                jQuery("#sc_detail").html("");
                if(data.trim() != "") 
                {
                    var ob = JSON.parse(data);
                    jQuery(ob).each(function(i, item){
                        jQuery.each(item,function(l, k){                            
                                str = str + "<tr><td><a href=\''.$CFG->wwwroot.'/course/view.php?id="+k.c_id+"\'>"+k.course_name+"</a></td><td>"+k.start_time+"</td><td>"+k.end_time+"</td></tr>";
                            
                        });
                    });
                    jQuery("#sess_d").html(str);
                }
            }
        });
        
    }

    function HumanToEpoch2(tt){
        var dateString = tt,
        dateParts = dateString.split("-"),
        date;
        console.log(dateParts);
// date = new Date(year, month, day, hours, minutes, seconds, milliseconds)
date = new Date(dateParts[0], dateParts[1], dateParts[2], 0, 0,0,0);

return date.getTime()/1000;}

    </script>';

echo '<style>#sc_deatil.div{text-align:center;}</style><h5 style="text-align:center;background-color:#c5c5c5;padding:10px;">Sessions</h5><table class="generaltable"><thead><tr><td>Course</td><td>Start</td><td>End</td></tr></thead><tbody id="sess_d"></tbody></table><p id="sc_detail" class="text-center"></p>';

// $context = context_user::instance($USER->id);

// $roles = get_user_roles($context, $USER->id, true);
// $flag = 0;
// foreach ($roles as $key => $value) 
// {
//     if($value->shortname == 'staffteacher')
//     {
//         $flag = 1;
//         break;
//     }
// }
// global $DB;

if($flag == 1 || $flag == 2)
{
    echo '<a href="'.$CFG->wwwroot.'/local/dashboard/addattandance.php" class="btn btn-primary">Add Schedule</a>';
}

echo $OUTPUT->footer();
?>   