<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Local plugin "dashboard" - Settings
 *
 * @package    local_dashboard
 * @copyright   2015 KTree Computer Solutions <opensource@ktree.com>
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

require_once(dirname(dirname(dirname(__FILE__))).'/config.php');
require_once($CFG->dirroot . '/local/dashboard/lib.php');
// require_once(dirname(__FILE__) . '/../../config.php');
require_once('lib.php');

require_login();

$redirecturl = $CFG->wwwroot;
$context = context_user::instance($USER->id);
// echo $USER->id;die;
$dt = optional_param('dt', '', PARAM_RAW);
// echo date('Y-m-d',$dt);
// echo $dt;die;
$context = context_user::instance($USER->id);

$roles = get_user_roles($context, $USER->id, true);
$flag = 0;
foreach ($roles as $key => $value) 
{
    if($value->shortname == 'staffteacher' || $value->shortname == 'teacher')
    {
        $flag = 1;
        break;
    }
    if($value->shortname == 'manager')
    {
        $flag = 2;
        break;
    }
}


if(!empty($dt))
{

    if($flag == 2)
        $query = "SELECT DISTINCT c.id, c.fullname FROM mdl_course AS c INNER JOIN mdl_context AS cx ON c.id = cx.instanceid AND cx.contextlevel = '50'";
	else
       $query = "SELECT c.id,c.fullname FROM mdl_user u INNER JOIN mdl_user_enrolments ue ON ue.userid = u.id INNER JOIN mdl_enrol e ON e.id = ue.enrolid INNER JOIN mdl_course c ON e.courseid = c.id WHERE ue.userid=".$USER->id." ORDER by c.id ASC";

    // $q = "SELECT mdl_attendance"
    $courselist = $DB->get_records_sql($query);
    // $highlight = array();

    $dets = array();
    foreach ($courselist as $course) 
    {
        $sq = "SELECT id,course FROM mdl_attendance where course=".$course->id." ORDER by course DESC";
        $attlist1 = $DB->get_records_sql($sq);

        // var_dump($attlist1);die;
        
        foreach ($attlist1 as $attn1) 
        {
            // $i = 0;
 
           $q = "SELECT * FROM mdl_attendance_sessions where attendanceid=".(int)$attn1->id." ORDER by sessdate DESC";
            // echo '#';
            $attlist = $DB->get_records_sql($q);
            // var_dump($attlist);die;

            $q1 = "SELECT id,fullname FROM mdl_course where id=".(int)$attn1->course;
            $cour = $DB->get_record_sql($q1);
            // var_dump($attlist);die;
            
            foreach ($attlist as $i => $attn) 
            {
            	// echo $i.'=';
                // echo date('Y-m-d',$attn->sessdate)."==".$dt.'####';
                if(date('Y-m-d',$attn->sessdate)==$dt)
		    	{
		    		// echo $attn->id.'=';
		    		$dets[$i]['c_id'] = $cour->id;
		    		$dets[$i]['sess_id'] = $attn->id;
		    		$dets[$i]['a_id'] = $attn->attendanceid;
		    		$dets[$i]['course_name'] = $cour->fullname;
		    		$dets[$i]['start_time'] = date('H:i:s',$attn->sessdate);
		    		$dets[$i]['end_time'] = date('H:i:s',(int)$attn->sessdate+(int)$attn->duration);
		    		// $i++;
		    	}
            }
        }
    }
    echo json_encode($dets);die;
}
?>