<?php

/**
 * Component 'simple_contact_form'.
 *
 * @package   simple_contact_form
 * @copyright 2014 Rodrigo Saraiva  {@link http://moodle.com}, Carlos Eduardo Alves {@link http://github.com/kmiksi}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
require_once('../../config.php');
require_once($CFG->dirroot . '/local/simple_contact_form/simple_contact_form.php');
require_once($CFG->dirroot . '/local/simple_contact_form/lib.php');

redirectIndex($CFG->enable_form);
require_login();


$context = context_user::instance($USER->id);

$roles = get_user_roles($context, $USER->id, true);
// var_dump($roles);die;
$flag = 0;
foreach ($roles as $key => $value) 
{
    if($value->shortname == 'staffteacher')
    {
        $flag = 1;
        break;
    }

    if($value->shortname == 'manager')
    {
        $flag = 2;
        break;
    }
}


if($flag == 1)
{
    $context = context_system::instance();
    $PAGE->set_context($context);

    $PAGE->set_pagelayout('standard');
    $PAGE->set_heading('Access Denied');
    $PAGE->set_title('Access Denied');
    $PAGE->set_url('/local/simple_contact_form/simple_contact_form.php');
    echo $OUTPUT->header();
    echo '<p class="text-danger" style="text-align:center">You do not have permission to access this section. <br><a style="margin-top:20px;" href="'.$CFG->wwwroot.'" class="btn btn-primary">Go Home</a></p>';
    echo $OUTPUT->footer();
}
else if($flag == 2)
{
    $context = context_system::instance();
    $PAGE->set_context($context);
    $PAGE->set_pagelayout('standard');
    $PAGE->set_heading(get_string('contact', 'local_simple_contact_form'));
    $PAGE->set_title(get_string('contact', 'local_simple_contact_form'));
    $PAGE->set_url('/local/simple_contact_form/simple_contact_form.php');
    echo $OUTPUT->header();
    echo "<h4>Queries From Students</h4>";
    $limit = 10;
    if( isset($_GET['page']) ) {
        $page = $_GET['page'];
        $page = $page;
    }else {
        $page = 1;
    }

    $offset = ($page-1) * $limit;    

    $query = "SELECT a.*,b.firstname,b.lastname FROM `mdl_contact_log` as a LEFT JOIN mdl_user as b ON a.user_id=b.id ORDER BY a.created_time DESC LIMIT $offset, $limit";
    $query_list = $DB->get_records_sql($query);
    echo '<table class="generaltable"><thead><tr><td>S.No.</td><td>Subject</td><td>Message</td><td>Student</td><td>Date & Time</td></tr></thead><tbody>';
    $i=1;
    foreach ($query_list as $key => $value) 
    {
        $see_more_less_str = '';
        if(strlen($value->message) > 300)
            $see_more_less_str = '<a href="javascript:void(0);" class="see-more" style="font-size:10px;">...See More</a><a class="see-less" href="javascript:void(0);" style="display:none;font-size:10px;">See Less</a>';


        echo '<tr><td>'.$i.'</td><td>'.$value->subject.'</td><td><div style="height:40px;overflow:hidden;">'.$value->message.'</div>'.$see_more_less_str.'</td><td><a href="'.$CFG->wwwroot.'user/profile.php?id='.$value->user_id.'">'.$value->firstname.' '.$value->lastname.'</a></td><td>'.$value->created_time.'</td></tr>';
        $i++;
    }
    echo '</tbody></table>';

    $q = "SELECT count(id) as tot FROM `mdl_contact_log`";
    $count_obj = $DB->get_record_sql($q);
    $total_records = 0;
    if(!empty($count_obj))
        $total_records = $count_obj->tot;
    if($total_records > $limit)
    {
        $total_pages = ceil($total_records/$limit);
        $pagLink = "<div style='text-align:center;'>";
        for ($i=1; $i<=$total_pages; $i++) {
            if($i == $page)  
                $pagLink .= "<a class='btn btn-primary' style='margin:0px 2px;' href='index.php?page=".$i."'>".$i."</a>";
            else
                $pagLink .= "<a class='btn btn-default' style='margin:0px 2px;' href='index.php?page=".$i."'>".$i."</a>";
        };  
        echo $pagLink . "</div>";
    }
    echo $OUTPUT->footer();
}
else
{ 
    $context = context_system::instance();
    $PAGE->set_context($context);
    $PAGE->set_pagelayout('standard');
    $PAGE->set_heading(get_string('contact', 'local_simple_contact_form'));
    $PAGE->set_title(get_string('contact', 'local_simple_contact_form'));
    $PAGE->set_url('/local/simple_contact_form/simple_contact_form.php');

    $mform = new simple_contact_form($CFG->wwwroot . '/local/simple_contact_form/index.php');

    if ($mform->is_cancelled()) {
        $returnurl = new moodle_url('/local/simple_contact_form/index.php');
        redirect($returnurl, get_string('canceled', 'local_simple_contact_form'));
    } else if ($fromform = $mform->get_data()) {
        include_once('send_mail.php');
        echo $OUTPUT->header();
        echo $OUTPUT->box_start('generalbox centerpara boxwidthnormal boxaligncenter');
        echo "<h3>" . get_string('thanks', 'core') . ", " . fullname($from) . "</h3>";
        echo "<p>" . get_string('messagesent', 'local_simple_contact_form') . "</p>";
        // echo $OUTPUT->single_button("/", get_string('sitehome', 'core'));
        echo $OUTPUT->box_end();
        
    } else {
        echo $OUTPUT->header();
        $mform->display();
        
    }
    echo '<hr>';
    echo "<h4>My previous queries</h4>";
    $limit = 10;
    if( isset($_GET['page']) ) {
        $page = $_GET['page'];
        $page = $page;
    }else {
        $page = 1;
    }

    $offset = ($page-1) * $limit;    

    $query = "SELECT * FROM `mdl_contact_log` WHERE user_id=".$USER->id." ORDER BY created_time DESC LIMIT $offset, $limit";
    $query_list = $DB->get_records_sql($query);
    echo '<table class="generaltable"><thead><tr><td>S.No.</td><td>Subject</td><td>Message</td><td>Date & Time</td></tr></thead><tbody>';
    $i=1;
    foreach ($query_list as $key => $value) 
    {
        $see_more_less_str = '';
        if(strlen($value->message) > 300)
            $see_more_less_str = '<a href="javascript:void(0);" class="see-more" style="font-size:10px;">...See More</a><a class="see-less" href="javascript:void(0);" style="display:none;font-size:10px;">See Less</a>';


        echo '<tr><td>'.$i.'</td><td>'.$value->subject.'</td><td><div style="height:40px;overflow:hidden;">'.$value->message.'</div>'.$see_more_less_str.'</td><td>'.$value->created_time.'</td></tr>';
        $i++;
    }
    echo '</tbody></table>';

    $q = "SELECT count(id) as tot FROM `mdl_contact_log` WHERE user_id=".$USER->id;
    $count_obj = $DB->get_record_sql($q);
    $total_records = 0;
    if(!empty($count_obj))
        $total_records = $count_obj->tot;
    if($total_records > $limit)
    {
        $total_pages = ceil($total_records/$limit);
        $pagLink = "<div style='text-align:center;'>";
        for ($i=1; $i<=$total_pages; $i++) {
            if($i == $page)  
                $pagLink .= "<a class='btn btn-primary' style='margin:0px 2px;' href='index.php?page=".$i."'>".$i."</a>";
            else
                $pagLink .= "<a class='btn btn-default' style='margin:0px 2px;' href='index.php?page=".$i."'>".$i."</a>";
        };  
        echo $pagLink . "</div>";
    }

    echo $OUTPUT->footer();
}
    